<?php
include '../config.php';
include '../func.php';
head();
ban();
aut();

$time = time();
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'mafia' WHERE `id` = '".$id_session."'");
####################################################
echo head . 'Мафия' . div . katalog;

include_once 'inc/system.php';
include_once 'inc/config.php';

if(!$conf['open'])exit('Игра временно закрыта');

if(isset($_POST['send']))
{
$msgg=html($_POST['msg']);
if(strlen($msgg)>512 || empty($msgg))$err='Неверное сообщение';
$ms = mysql_fetch_assoc(mysql_query("select * from `maf_chat` where `id_user` = '".$id_session."' order by time desc limit 1"));
if ($ms['msg'] == $msgg) $err='Повторяющееся сообщение';
if(!isset($err))
 {
 mysql_query("insert into `maf_chat` (`id_user`,`msg`,`time`) values ('$user[id]','$msgg','$time');");
 echo 'Сообщение добавлено'; 
 } else {
    echo $err;
 }
}


if($_POST['msg']=='!readme')echo "<div class='katalog'>".file_get_contents('inc/readme.txt')."</div>";


echo "<script>
function change(idName) {
  if(document.getElementById(idName).style.display=='none') {
    document.getElementById(idName).style.display = '';
  } else {
    document.getElementById(idName).style.display = 'none';
  }
  return false;
}
function timer(){ 
         var obj=document.getElementById('timer'); 
	 obj.innerHTML--; 
	   
	 if(obj.innerHTML==0){setTimeout(function(){},1000);} 
	 else{setTimeout(timer,1000);} 
	} 
	setTimeout(timer,1000); 
 </script>"; 


//-------------Форма ввода сообщения
echo "<form method='post' action='?$passgen'>";
echo '<textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;">'.$av.'</textarea><br/>';
echo "<input type='submit'  value='Сказать' name='send'/></form><br/>";

$who=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `time` > '".(time()-600)."' AND `online` = 'mafia'"),0);
if($type['type']!='free' && $type['type']!='reg')
$who.='/<font color=green>'.mysql_result(mysql_query("select count(*) from `profile` where `m_live` = '1';"),0).'</font>/'.$countreg;

function user_access () {
    
    return 4;
    
}

echo "<a href='who_here.php'>Кто здесь</a>: [$who] <a href='?$passgen'>Обновить</a> <br/><br/>".(user_access('mafia_restart')?"Админ: (<a onClick=\"change('restart')\">рестарт</a>|<a onclick=\"change('clear')\">очистка</a>)<br/>":null);

if(user_access('mafia_restart')){
if(isset($_GET['ok1']))msg('Приглашения разосланы!');
echo '<span style="display:none" id="restart">'.submit('Рестарт','restart').'</span> ';
echo '<span style="display:none" id="add">'.submit('Позвать всех в игру','add').'</span> ';
echo '<span style="display:none" id="clear">'.submit('Очистить комнату','clear').'</span>'; 
if(isset($_POST['clear'])){
mysql_query("TRUNCATE `maf_chat`;");
bot("Комната очищена by [b]$user[login] [/b]");
}


if(isset($_POST['restart'])){type('free'); header('Location: ?');
mysql_query("update `profile` set `m_reg` = '0', `m_live` = '0', `m_cheked_mir` = '0', `m_cheked_maf` = '0', `m_role` = '0', `m_reg` = '0', `m_vote` = '0', `m_options` = '0';");
bot("Пользователь [b]$user[login] [/b] перезапустил игру");
}
}
switch($type['type']){

//------------- Регистрация

case 'reg':

if($type['time']-$time<0 && $countreg>=4){
  
type('night',"`time` + ".$conf['time_night']);
$q=mysql_query("SELECT * FROM `profile` WHERE `m_reg` = '1' ORDER BY RAND()");
$i=1;
while($maf=mysql_fetch_array($q)){
mysql_query("update `profile` set `m_role` = '".get_role($i)."', `m_live` = '1' where `id` = '$maf[id]';");
$i++;
}
 
 bot("Внимание!
Регистрация закрыта
Игра началась
Пользователи, подавшие заявки, сейчас узнают свои роли...
В городе наступила ночь");
header("Location: ?");

  }else{
 if($type['time']-$time<0 && $countreg<4)
 {
  mysql_query("update `profile` set `m_reg` = '0' where `m_reg` = '1';");
  bot("В игре меньше 4 человек! Позовите кого-нибудь еще.");
  type('free');
 }
 echo 'Регистрация открыта<br/>Всего регистраций: '.$countreg.'<br/>До начала игры: <b id="timer">'.($type['time']-$time).'</b> сек<br/>';
 if((isset($_POST['reg']) || $_POST['msg']=='!рег') && $user['m_reg']!='1')
  {
   mysql_query("update `profile` set `m_reg` = '1' where `id` = '$user[id]';");
   bot("Пользователь [b]$user[login] [/b] успешно зарегистрировался в игре");
   header("Location: ?");
  }
  if($user['m_reg']!='1' && !isset($_POST['reg']))echo submit('Зарегистрироваться','reg'); else echo 'Регистрация одобрена.<br/>';
 }

break;
//---------Ночь
$bla=false;
case 'night':

if($type['time']-$time>0){
echo "В городе ночь. Все спят [ост: <b id='timer'>".($type['time']-$time)."</b> сек]<br/>";
if($user['m_live']=='1')
echo "Роль в игре: <b>".rol($user[m_role])."</b> ".($user['m_options']=='0'?"[<a href='options.php'>опции</a>]":null);
else if($user['m_reg'] == '1')echo "Роль в игре: <b>".rol($user[m_role])."</b> [Персонаж мертв]<br/>";
if($user['m_reg'] != '1')echo 'Вы не зарегистрированы в  этой игре<br/>';

} else {
type('day','`time` + '.$conf['time_day']);
mysql_query("update `profile` set `m_options` = '0';");
$act3=mysql_query("SELECT * FROM `maf_act` WHERE `type` = 'act' ORDER BY RAND()");
$mafkill=Array();
while($act=mysql_fetch_array($act3)){

$act1 = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$act['id_from']."'"));
$act2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$act['id_to']."'"));
if($act1['m_role']=='1'){ bot("Ночь для комиссара была плодотворной! Теперь он знает, кто такой пользователь [b]$act2[login] [/b]"); continue; }
 if($act1['m_role']=='5'){
if($act2['m_role']>8)
{
bot('Путана Снежанна сегодня нашла клиента. После часа работы он отплатил вдвое больше. "Мафиози" - промелькнула мысль в голове ночной бабочки, и она задержала его на всю ночь');
$putana=$act2['id'];
}else bot('Путана Анжела работала всю ночь, но так и не нашла ни одного мафиози. Вздохнув, она села в машину к миру и укатила');
continue;
}
 if($act1['m_role']=='10' && $putana!=$act1['id']){$mafkill[$act2[id]]++; continue;}
 if($act1['m_role']=='11' && $putana!=$act1['id']){$mafkill[$act2[id]]++; $mafkill[$act2[id]]++; continue;}

 if($act1['m_role']=='4'){
if($act2['m_role']>8){
mysql_query("update `profile` set `m_live` = '0' where `id` = '$act2[id]';");
bot("Шериф ночью времени зря не терял
Им был застрелен [b]$act2[login] [/b] [[b]".rol($act2['m_role'])."[/b]]"); }
else bot('Шериф проверил мира.');
continue;
}

 if($act1['m_role']=='7')
{
if(mysql_result(mysql_query("select count(*) from `maf_act` where `role` > 8 && `role` != 12;"),0)>0){
$q=mysql_query("select * from `maf_act` where `id_to` = '$act2[id]' && `role` > 8 && `role` != 12");
$msg1="Сегодня самурай охранял пользователя [b]$act2[login] [/b]. И не зря: на него было совершено нападение. Доблестный японец, убив злопыхателей, сделал себе харакири. На земле остались лежать трупы преступников:
";   while($bm=mysql_fetch_array($q))
{
$bm1 = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$bm['id_from']."'"));
mysql_query("update `profile` set `m_live` = '0' where (`id` = '$bm1[id]' or `id` = '$act1[id]')");
$msg1.="[b] $bm1[login] [".rol($bm1['m_role'])."][/b]
";
}
$msg1.="[br] За храбрость самураю начислено 20 баллов";
mysql_query("update `profile` set `balls` = `balls` + 20 where `id` = '$act1[id]';");
$sam=$act2['id'];
}else {$msg1="Сегодня самурай охранял пользователя [b]$act2[login] [/b]. Но за ночь с тем ничего не случилось, и он пошел в ресторанчик в китайском квартале. Странно - он же японец?";
$sam=false;
}
bot($msg1);
continue;
}

 if($act1['m_role']=='9' && $putana!=$act1['id'])
{
mysql_query("update `profile` set `m_live` = '0' where `id` = '$act2[id]';");
bot("Маньяк убил [b]$act2[login] [/b].");
continue;
}

 if($act1['m_role']=='13' && $putana!=$act1['id'])
{
mysql_query("update `profile` set `m_live` = '0' where `id` = '$act2[id]';");
bot("Ночь... Киллер мафии хладнокровно убил очередную жертву");
continue;
}

} //end while
 

if($mafkill!=null){
foreach($mafkill as $key => $value) { 
 If (empty($tmp)) { $tmp = $value; $searchKey = $key; continue;} 
 If (($tmp > $value) || ($tmp == $value)) continue; 
 $searchKey = $key; 
 }

$act3 = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$searchKey."'"));
bot("Сегодня мафия нейтрализовала пользователя [b] $act3[login] [/b]. Спокойной ночи...");
mysql_query("update `profile` set `m_live` = '0' where `id` = '$searchKey';");
}

$act5=mysql_query("select * from `maf_act` where `type` = 'act';");
while($act=mysql_fetch_array($act5)){
    $act1 = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$act['id_from']."'"));
    $act2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$act['id_to']."'"));

if($act1['m_role']=='3'){
if(mysql_result(mysql_query("select count(*) from `maf_act` where (`role` > 8 or `role` = '4') && `role` != 12;"),0)>0){
bot("Сегодня [b]$act2[login] [/b] был убит! Но добрый доктор спас его, вколя огромный шприц с лекарствами. \"Лучше бы я умер\" - думает думает счастливый пациент"); mysql_query("update `profile` set `m_live` = '1' where `id` = '$act2[id]'");
}
/*------------Убиваем пациента при 1> убийцах
else if($act2['m_life']='-1')
{
bot("Сегодня на [b]$act2[nick] [/b] было совершено нападение сразу двух преступников. Доблестный доктор хотел спасти бедолагу, но воскресить труп невозможно..."); 
mysql_query("update `user` set `m_live` = '0' where `id` = '$act2[id]'");
}
------------*/
else if($act2['m_live']=='1')bot("Сегодня добрый доктор нашел себе пациента. [b]$act2[login] [/b] долго сопротивлялся, но все же был затащен в больницу. Слава Российской медицине!");
continue;
}
 if ($act1['m_role']=='6')
{
if(mysql_result(mysql_query("select count(*) from `maf_act` where `id_to` = '$act2[id]' && `role` > 8 && `role` != 12"),0)>0 && $act2['m_live']!='1')
{
$q=mysql_query("select * from `maf_act` where `id_to` = '$act2[id]' && `role` > 8 && `role` != 12");
  $msg1="Сегодня был убит пользователь [b]$act2[login] [/b]. Но преступники не знали, что за ними наблюдает бомж. На следующее утро была найдена надпись на стене местного супермаркета:
";   while($bm=mysql_fetch_array($q)){

$bm1 = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$bm['id_from']."'"));
$msg1.="[b] $bm1[login] - это ".rol($bm1['m_role'])."[/b]
";
mysql_query("update `profile` set `m_cheked_mir` = '1', `m_cheked_maf` = '1' where `id` = '$bm1[id]'");
}
bot($msg1);
} else bot("Сегодня бомж следил за пользователем [b]$act2[login] [/b], но его не убили");
continue;
}

} //end while



//Фанатик
$fan=mysql_fetch_array(mysql_query("select (*) from `profile` where `m_role` = '8' and `m_live` = '1'"));

if(mysql_result(mysql_query("select count(*) from `maf_act` where `id_to` = '$fan[id]' && `role` > 8 && `role` != 12"),0)>1)

bot("Сегодня ночью фанатик [b]$fan[login] [/b] как всегда шел на собрание анонимных алкоголиков в местном пабе. Но он и не подозревал, что сегодня его попытаются убить целых два раза. У кошки 9 жизней, у фана - 2. \"Наверное, вследующей жизни, когда я стану ко...\" - дальше он допеть не успел...");


if($sam)mysql_query("update `profile` set `m_live` = '1' where `id` = '$sam';");

//-----------
$lcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_live` = '0'"),0);
if($lcount>0)$msg1="Подведем итоги за ночь
Сегодня были нейтрализованы и покидают игру:"; else $msg1="За сегодняюнюю ночь никто не был убит. Большая редкость в нашем городке";
$q=mysql_query("select * from `profile` where `m_live` = '0'");
 while($us=mysql_fetch_array($q))
{
$msg1.="[b]$us[login] - ".rol($us['m_role'])."[/b]";
}
bot($msg1);
mysql_query("update `profile` set `m_live` = '-1' where `m_live` = '0' && `m_reg` = '1'");




$allcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_live` = '1'"),0);
$mafcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE  `m_role` > '9' AND `m_live` = '1'"),0);
$mirallcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` < '8' AND `m_live` = '1'"),0);
$mircount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '0' AND `m_live` = '1'"),0);
$mancount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '9' AND `m_live` = '1'"),0);
$fancount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '8' AND `m_live` = '1'"),0);
$doccount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '3' AND `m_live` = '1'"),0);
$putcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '5' AND `m_live` = '1'"),0);
$samcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '5' AND `m_live` = '1'"),0);
$bomjcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '6' AND `m_live` = '1'"),0);




mysql_query("update `profile` set `m_live` = '-1' where `m_live` = '0' && `m_reg` = '1'");
mysql_query("delete from `maf_act` where `type` = 'act'");

$msg2="В игре осталось:[br][b]";
if($mirallcount)$msg2.="Мирных: $mirallcount ";
if($mafcount)$msg2.="Мафиози: $mafcount ";
$r=array();
if($doccount)$r[]='Доктор';
if($mancount)$r[]='Маньяк';
if($putcount)$r[]='Путана';
if($bomjcount)$r[]='Бомж';
if($samjcount)$r[]='Самурай';
if($fancount)$r[]='Фанатик';
$msg2.="[br]".implode(', ',$r)."[/b]";
bot($msg2);


echo "В городе солнечный денёк [ост: <b id='timer'>".($type['time']-time())."</b> сек]<br/>";
if($user['m_live']=='1')
echo "Роль в игре: <b>".rol($user[m_role])."</b> [<a href='options.php'>голосование</a>]";
else if($user['m_reg'] == '1')echo "Роль в игре: <b>".rol($user[m_role])."</b> [Персонаж мертв]<br/>";
if($user['m_reg'] != '1')echo 'Вы не зарегистрированы в  этой игре<br/>';
header("Location: ?");
$bla=true;

}


break;

//-----------День
case 'day':
$type=mysql_fetch_array(mysql_query("select * from `maf_act` where `type` != 'act';"));
mysql_query("delete from `maf_act` where `type` = 'act'");
if($type['time']-time()>0){
echo "В городе солнечный денёк [ост: <b id='timer'>".($type['time']-time())."</b> сек]<br/>";
if($user['m_live']=='1')
echo "Роль в игре: <b>".rol($user[m_role])."</b> [<a href='options.php'>голосование</a>]";
else if($user['m_reg'] == '1')echo "Роль в игре: <b>".rol($user[m_role])."</b> [Персонаж мертв]<br/>";
if($user['m_reg'] != '1')echo 'Вы не зарегистрированы в  этой игре<br/>';

} else if(!$bla){
type('night','`time` + '.$conf['time_night']);

$v=mysql_query("select * from `profile` where `m_vote` > '0'");
$vote=array();
while($vank=mysql_fetch_array($v)){ $vote[$vank[m_vote]]++; }

arsort($vote);
reset($vote);
$i=0;
$ms='Подведем итоги голосования
Cписок, против кого проголосовал народ (первая тройка)[br]';
while (list($key, $val) = each($vote)) {
    if($i>3)continue;
$ms.="[b]".mysql_result(mysql_query("select `login` from `profile` where `id` = '$key';"),0)."[/b] - $val [br]"; $i++;
}

foreach($vote as $key => $value) { 
 If (empty($tmp)) { $tmp = $value; $searchKey = $key; continue;} 
 If (($tmp > $value) || ($tmp == $value)) continue; 
 $searchKey = $key; 
 }
if($i<=0){$searchKey=mysql_result(mysql_query("select `id` from `profile` where `m_live` = '1' order by rand() limit 1;"),0);
$ms.='За день никто не удосужился проголосовать. Тогда это за вас сделаю я.[br]'; } 

$vank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$searchKey."'"));
$ms.="По итогам голосования решено казнить пользователя [b]$vank[login] [/b][br] Как оказалось, [b]$vank[login] [/b] был [b]".rol($vank['m_role'])."[/b]"; 

mysql_query("update `profile` set `m_live` = '-1' where `id` = '$vank[id]';");
mysql_query("update `profile` set `m_vote` = '0';");
bot($ms);

$allcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_live` = '1'"),0);
$mafcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE  `m_role` > '9' AND `m_live` = '1'"),0);
$mirallcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` < 8 AND `m_live` = '1'"),0);
$mircount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '0' AND `m_live` = '1'"),0);
$mancount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '9' AND `m_live` = '1'"),0);
$fancount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '8' AND `m_live` = '1'"),0);
$doccount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '3' AND `m_live` = '1'"),0);
$putcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '5' AND `m_live` = '1'"),0);
$samcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '5' AND `m_live` = '1'"),0);
$bomjcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '6' AND `m_live` = '1'"),0);



$msg2="На проекте осталось:[br][b]";
if($mirallcount)$msg2.="Мирных: $mirallcount [br]";
if($mafcount)$msg2.="Мафиози: $mafcount [br]";
$r=array();
if($doccount)$r[]='Доктор';
if($mancount)$r[]='Маньяк';
if($putcount)$r[]='Путана';
if($bomjcount)$r[]='Бомж';
if($samjcount)$r[]='Самурай';
if($fancount)$r[]='Фанатик';
$msg2.="[br]".implode(', ',$r)."[/b][br]И мы счастливы!";
bot($msg2);
header("Location: ?");
}

break;



//------------Старт игры

case 'free':

 if(isset($_POST['start']) || $_POST['msg']=='!старт')
 {
  type('reg',$time + $conf[time_reg]);
  mysql_query("update `profile` set `m_reg` = 0, `m_role` = 0, `m_live` =0");
  bot("Началась регистрация на игру мафия! Для регистрации нажмите кнопку или напишите !рег");
  echo '<br/>До начала игры: <b id="timer">'.$conf['time_reg'].'</b> сек<br/>';
  echo submit('Зарегистрироваться','reg');
 }else echo "Игра не запущена! Если хотите играть, нажмите кнопку.<br/>".submit('Старт','start');

break;

}


//------Конец игры
if($type['type']!='free' && $type['type'] != 'reg'){
$allcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_live` = '1'"),0);
$mafcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE  `m_role` > '9' AND `m_live` = '1'"),0);
$mirallcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` < '8' AND `m_live` = '1'"),0);
$mircount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '0' AND `m_live` = '1'"),0);
$mancount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '9' AND `m_live` = '1'"),0);
$fancount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '8' AND `m_live` = '1'"),0);
$doccount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '3' AND `m_live` = '1'"),0);
$putcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '5' AND `m_live` = '1'"),0);
$samcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '7' AND `m_live` = '1'"),0);
$bomjcount=mysql_result(mysql_query("SELECT COUNT(*) FROM `profile` WHERE `m_role` = '6' AND `m_live` = '1'"),0);
if($allcount=='2' && $mafcount=='1' && $mirallcount+$fancount=='1')$msg="В городе остались один мирный житель и один мафиози! [b]Ничья![/b]";
else if($mirallcount=='1' && $mafcount>$mirallcount && $mancount<1)$msg="В городе остались мафиози и один мирный житель! Он собрал вещи и уехал их этого города. [b]Победила мафия!!![/b]";
else if($mafcount=='0' && $mirallcount+$fancount>=1 && $mancount=='1')$msg="В городе остались маньяк и мирные жители. Маньяка послали в монастырь, где он стал священником на место бывшего.P.S А ведь прошлый батюшка был в полном здравствии. Наверное, это так и останется загадкой![br][b]Победили мирные!!![/b]";
else if($mirallcount==0 && $fancount=='1' && $mafcount>$fancount)$msg="В городе остались одни мафиози и фанатик! Сколько его не пытались убить, он все был живой. В конце концов его сбросили в местную достопримечательность - кратер вулкана. На том и покончили. [b]Победила мафия!!![/b]";
else if($mafcount==$allcount && $allcount)$msg="Остались одни мафиози! Им стало нечего делать, и они стали играть в мафию![b]Победила мафия!!![/b]";
else if($mirallcount+$fancount == $allcount)$msg="Игра окончена! В тихом городке остались одни мирные жители!
Ура! Ура! Ура!
Спокойствие снова вернулось на улицы города [br][b]Победили мирные!!![/b]";
else if($allcount==$mirallcount)$msg="Игра окончена! В тихом городке остались одни мирные жители!
Ура! Ура! Ура!
Спокойствие снова вернулось на улицы города [br][b]Победили мирные!!![/b]";
else if($mirallcount+$fancount == 0 && $mafcount>1 && $mancount=='1')$msg="В городе остались маньяк и мафия. Поначалу он пытался отбиватся топором, но мафиози добили маньяка. [b]Победила мафия!!![/b]";
if($allcount=='1'){
if($mirallcount=='1')$msg='В городе остались один мирный житель! [b]Победили мирные![/b]';
else if($mafcount=='1')$msg='В городе остались один мафиози! [b]Победила мафия![/b]';
}
if($mancount==$allcount && $allcount>=1)$msg='В городе остались одни маньяки! [b]Победили маньяки![/b]';

else if($mirallcount<1 && $mafcount=='1' && $mancount=='1')$msg="В городе остались маньяк и мафиози. Поначалу они ссорились, но затем стали хорошими друзьми. Хотя с кем еще дружить в пустом городе?[b]Ничья!!![/b]";


if($msg){
$msg.="Выжившие: ";
$q=mysql_query("select * from `profile` where `m_live` = '1'");
$maf=array();
while($m=mysql_fetch_array($q)){$usr[]=$m['login'];}
$round=round($countreg*$conf['balls']);
$msg.="[b]".implode(', ',$usr)."[/b] получают по $round баллов!";
mysql_query("update `profile` set `balls` = `balls` + $round, `m_win` = `m_win` + 1, `m_win_week` = `m_win_week` +1 where `m_live` = '1';");
$msg.=". В игре участвовали:[br]";
$qq=mysql_query("select * from `profile` where `m_reg` = '1'");
  while($usr=mysql_fetch_array($qq)){ $msg.="[b]$usr[login] - ".rol($usr['m_role'])."[/b][br]"; }
mysql_query("update `profile` set `m_reg` = '0', `m_live` = '0', `m_cheked_mir` = '0', `m_cheked_maf` = '0', `m_role` = '0', `m_reg` = '0', `m_vote` = '0', `m_options` = '0';");
bot($msg);
type('free');
header("Location: ?");

}

}

if(($type['type']=='day' or $type['type']=='night') && $user['m_live']!='1'){

if($user['m_reg_forget']!='1')echo 'Напомин. о реге: <a href="?rfon">вкл</a>|<b>выкл</b><br/>';
if($user['m_reg_forget']=='1')echo 'Напомин. о реге: <b>вкл</b>|<a href="?rfoff">выкл</a><br/>';
if(isset($_GET['rfon'])){ mysql_query("update `profile` set `m_reg_forget` = '1' where `id` = '$user[id]';"); header("Location: ?"); }
else if(isset($_GET['rfoff'])){ mysql_query("update `profile` set `m_reg_forget` = '0' where `id` = '$user[id]';"); header("Location: ?"); }
}
//---------Вывод сообщений
echo '<br/ >';
$all = mysql_result(mysql_query("SELECT count(*) FROM `maf_chat` ".($user['m_role']>9 && $user['m_live']==1?null:"where `maf` != '1'").""), 0);
$onpage = 15;
$allpage = ceil($all/$onpage);
$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
if($this_page < 1 || $this_page > $allpage)$this_page = 1;
$start = $this_page*$onpage - $onpage;

$q = mysql_query("select * from `maf_chat` ".($user['m_role']>9 && $user['m_live']==1?null:"where `maf` != '1'")." order by `id` desc limit ".num($start).",".num($onpage)."");
while ($post = mysql_fetch_array($q)){

$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$post[id_user]."'"));

echo "<a href='reply.php?id=$ank[id]'><b>".($ank['id']==$conf['bot']?"<font color='red'>$ank[login]</font>":$ank['login'])."</b></a> ".t2($post['time'])." ".($post[maf]=='1'?"[<b>Мафии</b>] ":null);
echo smile(parsebb(adminbb(nl2br($post['msg'])))) . '<hr>';
}
echo link1 . '<b>Страницы:</b> ';
navigation($allpage,"index.php?p={p}",1,1);
echo div;




navig();
foot();
?>